Bug 199008 - [PATCH] Emacs info documentation in the wrong category
Summary: [PATCH] Emacs info documentation in the wrong category
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2006-07-15 15:53 UTC by petrosyan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 15:38:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes the bug. (758 bytes, patch)
2006-07-15 15:53 UTC, petrosyan
no flags Details | Diff
fix the info documentation bug in emacs (758 bytes, patch)
2007-06-11 02:05 UTC, petrosyan
no flags Details | Diff

Description petrosyan 2006-07-15 15:53:03 UTC
Description of problem:
Emacs's info documentation is in "GNU Emacs" category. However the default and
correct category is "Emacs". Currently there are 2 categories "Emacs" and "GNU
Emacs". The attached patch fixes the problem.

Version-Release number of selected component (if applicable):
emacs-21.4-14

How reproducible:
Always

Steps to Reproduce:
1. go to System/Help
2. go to "Command Line Help"
3. go to "GNU Info Pages"

Actual results:
Notice "Emacs" and "GNU Emacs" categories.

Expected results:
Only one category "Emacs"

Additional info:
If you don't specify "--section" command line option then install-info will
install the page in the correct section.

Comment 1 petrosyan 2006-07-15 15:53:03 UTC
Created attachment 132494 [details]
This patch fixes the bug.

Comment 2 petrosyan 2006-10-23 19:17:16 UTC
This bug is still present in FC6, emacs-21.4-17

Comment 3 petrosyan 2007-03-06 16:39:58 UTC
This bug is still present in emacs-22.0.93-7.fc7

please run:
$ zgrep INFO-DIR-SECTION /usr/share/info/emacs.gz 
INFO-DIR-SECTION Emacs

This shows that the default section for emacs documentation is "Emacs" and not
"GNU Emacs". Red Hat overrides the default location (by using --section="GNU
Emacs" in the spec file) and puts the documentation in "GNU Emacs". However, now
part of the documentation is still left in "Emacs" section, such as libidn
documentation for example. So currently Fedora has 2 different sections for
emacs documentation:
1. Emacs
2. GNU Emacs

Comment 4 petrosyan 2007-06-11 02:03:41 UTC
This bug is still present in emacs-22.0.990-2.fc7

Comment 5 petrosyan 2007-06-11 02:05:02 UTC
Created attachment 156678 [details]
fix the info documentation bug in emacs

Updated patch for emacs.spec which fixes the info documentation mixup.

Comment 6 petrosyan 2007-07-12 13:42:49 UTC
this bug is still present in emacs-22.1-1.fc7


Note You need to log in before you can comment on or make changes to this bug.